/*
 * Copyright 2010-2023 Amazon.com, Inc. or its affiliates. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License").
 * You may not use this file except in compliance with the License.
 * A copy of the License is located at
 *
 *  http://aws.amazon.com/apache2.0
 *
 * or in the "license" file accompanying this file. This file is distributed
 * on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 * express or implied. See the License for the specific language governing
 * permissions and limitations under the License.
 */

package com.amazonaws.services.rekognition.model.transform;

import com.amazonaws.services.rekognition.model.*;
import com.amazonaws.util.DateUtils;
import com.amazonaws.util.json.AwsJsonWriter;

/**
 * JSON marshaller for POJO DetectLabelsImagePropertiesSettings
 */
class DetectLabelsImagePropertiesSettingsJsonMarshaller {

    public void marshall(DetectLabelsImagePropertiesSettings detectLabelsImagePropertiesSettings,
            AwsJsonWriter jsonWriter) throws Exception {
        jsonWriter.beginObject();
        if (detectLabelsImagePropertiesSettings.getMaxDominantColors() != null) {
            Integer maxDominantColors = detectLabelsImagePropertiesSettings.getMaxDominantColors();
            jsonWriter.name("MaxDominantColors");
            jsonWriter.value(maxDominantColors);
        }
        jsonWriter.endObject();
    }

    private static DetectLabelsImagePropertiesSettingsJsonMarshaller instance;

    public static DetectLabelsImagePropertiesSettingsJsonMarshaller getInstance() {
        if (instance == null)
            instance = new DetectLabelsImagePropertiesSettingsJsonMarshaller();
        return instance;
    }
}
